[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TTaskDialogProgressBar.Create

Constructor for the class instance.

## Declaration

Source position: dialogs.pp line 709

`public constructor TTaskDialogProgressBar.Create(`
`ADialog: TCustomTaskDialog`
`);`

## Arguments

`ADialog` |  | Task dialog where the progress bar is hosted.

## Description

Create is the constructor for the class instance. It extends the constructor to specify the task dialog where the progress bar information is used in the ADialog argument. It sets the default values for properties in the class instance, including: Min (PB_DEFMIN), Max (PB_DEFMAX), and MarqueeSpeed (0 milliseconds).

## Version info

Added in LCL version 4.0.

## See also

TTaskDialogProgressBar.Max |  | Upper limit for the Position on the progress bar.
TTaskDialogProgressBar.Min |  | Lower limit for the Position on the progress bar.
TTaskDialogProgressBar.MarqueeSpeed |  | Contains the number of milliseconds between updates for a progress bar using the marquee display style.
PB_DEFMIN |  | Numeric constant which defines the default value for the Min property in a progress bar.
PB_DEFMAX |  | Numeric constant which defines the default value for the Max property in a progress bar.
TCustomTaskDialog |  | Defines a configurable, modal task dialog at run-time.